### Method

# GLib StaticRecMutex unlock

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rec_mutex_unlock (
      GStaticRecMutex* mutex
    )

#### Description [src]

Unlocks `mutex`. Another thread will be allowed to lock `mutex` only when it has been unlocked as many times as it had been locked before. If `mutex` is completely unlocked and another thread is blocked in a `g_static_rec_mutex_lock()` call for `mutex`, it will be woken and can lock `mutex` itself.

Deprecated since: 2.32

Use g_rec_mutex_unlock().

This method is not directly available to language bindings.